import { Todo as TodoT } from "../../api";

import "./index.scss";

type Props = {
    todo: TodoT;
};

export const Todo = ({ todo }: Props) => {
    return (
        <div class="todo">
            <textarea class="input todo-input" value={todo.value} onInput={() => null} />
            <button onClick={() => null} class="button is-success save-btn">
                <span class="icon">
                    <i class="fa fa-save"></i>
                </span>
            </button>
            <button onClick={() => null} class="button is-danger">
                <span class="icon">
                    <i class="fa fa-trash"></i>
                </span>
            </button>
        </div>
    );
};
